Bug 611551 (CVE-2010-2494) - CVE-2010-2494 bogofilter: array index underflow/OOB write via invalid input
Summary: CVE-2010-2494 bogofilter: array index underflow/OOB write via invalid input
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2494
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100703,reported=20100703,sou...
Depends On: 611552
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-05 15:01 UTC by Vincent Danen
Modified: 2019-06-08 13:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-15 21:38:58 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-07-05 15:01:40 UTC
A flaw was found in bogofilter's/bogolexer's base64 where it could overwrite memory before its heap buffer, if the base64 input started with an equals sign, such as through misdeclaration of quoted-printable as base64.  This would cause bogofilter/bogolexer to corrupt their heap and crash upon receiving such an email message.

Something is wrong with the bogofilter home page, the original referenced advisory [1] is currently unavailable, however a copy in svn [2] is.  This will also be corrected in upstream version 1.2.2; a patch [3] is available.  Please note that upstream version 1.2.2 is not yet available.

References:

[1] http://bogofilter.sourceforge.net/security/bogofilter-SA-2010-01
[2] http://bogofilter.svn.sourceforge.net/viewvc/bogofilter/trunk/bogofilter/doc/bogofilter-SA-2010-01?view=markup&pathrev=6909
[3] http://bogofilter.svn.sourceforge.net/viewvc/bogofilter/trunk/bogofilter/src/base64.c?view=patch&r1=6906&r2=6903


This affects bogofilter as shipped in Fedora 12 and 13, as well as EPEL5.

Comment 1 Vincent Danen 2010-07-05 15:02:44 UTC
Created bogofilter tracking bugs for this issue

Affects: fedora-all [bug 611552]

Comment 2 Vincent Danen 2010-07-06 21:47:18 UTC
This has been given the name CVE-2010-2494.

Comment 3 Vincent Danen 2011-06-15 21:38:44 UTC
bogofilter 1.2.2 is in all current versions of Fedora.


Note You need to log in before you can comment on or make changes to this bug.